Subject: Re: [lamps] New Version Notification for draft-ietf-lamps-eai-addresses-11.txt

From: Russ Housley <[email-masked]>
Date: Thu, 22 Jun 2017 09:39:23 -0400

I have a few minor comments on this document.

Section 5 says:

   ... (section 7.5 and 7.2 in [RFC5280]) ...

These sections are updated by draft-ietf-lamps-rfc5280-i18n-update-01.
It would help the reader to point to this document as well.  Maybe:

   ... (sections 7.2 and 7.5 in [RFC5280] as updated by [ID-lamps-rfc5280-i18n-update]) ...

Section 6 says:

   … this specification modifies and
   extends rfc822Name name SmtpUTF8Name does not violate existing name
   constraints.

I cannot figure out what this sentence is trying to say.  Please reword.

Section 6 has text to forbid constraints on the local-part of email addresses.
This update to RFC 5280 is already included in draft-ietf-lamps-rfc5280-i18n-update-01.
I do not think that it needs to be in both documents.  I suggest that this document
point to the change.

In Section 8:
  s/in Section Section 3/In Section 3/
  s/Section Appendix A./Appendix A./

In Appendix A, please remove "Figure 2” from the end of the ASN.1 module.

I hope these few comments can be addressed in the next few days.  They are all simple.

Russ

> On Jun 19, 2017, at 3:51 PM, [email-masked] wrote:
> 
> 
> A new version of I-D, draft-ietf-lamps-eai-addresses-11.txt
> has been successfully submitted by Weihaw Chuang and posted to the
> IETF repository.
> 
> Name:		draft-ietf-lamps-eai-addresses
> Revision:	11
> Title:		Internationalized Email Addresses in X.509 certificates
> Document date:	2017-06-18
> Group:		lamps
> Pages:		11
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-lamps-eai-addresses-11.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-lamps-eai-addresses/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-lamps-eai-addresses-11
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-lamps-eai-addresses-11
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-lamps-eai-addresses-11
> 
> Abstract:
>   This document defines a new name form for inclusion in the otherName
>   field of an X.509 Subject Alternative Name and Issuer Alternative
>   Name extension that allows a certificate subject to be associated
>   with an Internationalized Email Address.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
>

---

From: Wei Chuang <[email-masked]>
Date: Fri, 30 Jun 2017 07:04:50 -0700

> [ID-lamps-rfc5280-i18n-update]) ...
Done.

> I cannot figure out what this sentence is trying to say.  Please reword.

Clarified by expanding the text.

> I do not think that it needs to be in both documents.  I suggest that this

References that draft.

>   s/Section Appendix A./Appendix A./

Done.

> In Appendix A, please remove "Figure 2” from the end of the ASN.1 module.
Done.

> I hope these few comments can be addressed in the next few days.  They are

-Wei

> > URL:            https://www.ietf.org/internet-
> drafts/draft-ietf-lamps-eai-addresses-11.txt
> > Htmlized:       https://datatracker.ietf.org/
> doc/html/draft-ietf-lamps-eai-addresses-11